<apex:page controller="OperationalEventListController" sidebar="false" tabStyle="Operational_Event__c">
    <apex:form >
    <apex:panelGrid columns="1" style="width:100%" >
        <apex:panelGroup >
            <div class="content">
                <img src="{!URLFOR($Resource.AppResourcesZip, 'images/RedOpenBook_Icon.png')}" class="pageTitleIcon" />
                <h1 class="pageType">
                    Operational Events 
                    <span class="titleSeparatingColon">:</span> 
                </h1>
                <br/><h3 class="pageDescription" style="font-size:large;margin-left:20px;">
                    <apex:outputLabel value="{!if(activeTeamAllocations.size > 0, 'Team Allocation: ', 'There is no active Team Allocation')}" />
                    <!-- <apex:outputLabel value="{!activeTeamAllocations[0].Team_Allocation_Name__c}" rendered="{!activeTeamAllocations.size == 1}" /> rendered="{!activeTeamAllocations.size > 1}" -->
                       <apex:selectList value="{!selectedTAId}" size="1" style="font-size:large; font-weight:bold">
                            <apex:selectOptions value="{!activeTAOptions}" />
                            <apex:actionSupport event="onchange" action="{!getActiveTeamAllocationEvents}" rerender="table"/>
                    </apex:selectList></h3>
               
                <div class="blank">&nbsp;</div> 
                
            </div>
            
        </apex:panelGroup>
        
            <apex:pageBlock rendered="{!hasActiveTeamAllocation}" id="table">
                <div style="width:100%;height:50px;text-align:center;">
                    <apex:commandButton value="New" action="{!newOperationalEvent}" styleClass="btn" rendered="{!activeTeamAllocations.size > 0}"/>
                </div>
                <apex:pageBlockTable value="{!activeTeamAllocationEvents}" var="ev" rendered="{!hasActiveTeamAllocationEvents}">
                    <apex:column value="{!ev.Operational_Event_DetailPage_HLink__c}" />
                    <apex:column value="{!ev.Time__c}" />
                    <apex:column value="{!ev.Equipment__c}" />
                    <apex:column value="{!ev.Area__c}" />
                    <apex:column value="{!ev.Unit__c}" />
                    <apex:column value="{!ev.Operator_Contact__c}" />
                    <apex:column value="{!ev.Description__c}" />
                    <apex:column value="{!ev.LastModifiedById}" />
                    <apex:column value="{!ev.LastModifiedDate}" />
                </apex:pageBlockTable>            
            </apex:pageBlock>
        
    </apex:panelGrid>
    </apex:form>
</apex:page>